Jump to content
kzlawson

Unofficial Patch incompatible with game

Recommended Posts

I have Skyrim Special Edition version 2.0.17.

Both Nexus Mod Manager and Vortex say that the Unofficial Skyrim Special Edition Patch is incompatible with my game.  I've downloaded the patch from your site to make sure I had the most updated version.  Things have not changed.  Can you help me?

Thank you,

Kathy

Share this post


Link to post
Share on other sites

That's not a valid version number for Skyrim SE. Skyrim SE's last official update on PC is version 1.5.97, issued in November 2019, and that is what USSEP is compatible with. Anything else is invalid.

Share this post


Link to post
Share on other sites

Thank you.  I got the number from the wrong location.  I uninstalled and reinstalled Skyrim.  Now I seem to have the correct version.  Thank you again for your help.

Kathy

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

Support us on Patreon!

Patreon
×
×
  • Create New...